-- Correctie uitleen objecten met standplaats op verwijderde ruimte
-- Key 120 = Jazzkamer
-- Key 181 = verwijderde gezamelijke ruimte

DEFINE thisfile = 'SGGR#55894.SQL'
DEFINE dbuser   = '^SGGR'
DEFINE custid   = 'SGGR'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;

SELECT adm.scriptspoolfile ('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;

WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

UPDATE ins_deel
   SET ins_alg_ruimte_key_org = 120
 WHERE     ins_alg_ruimte_key_org = 181
       AND ins_alg_ruimte_type_org = 'R'
       AND ins_deel_verwijder IS NULL;

COMMIT;

------ payload end   ------

SET DEFINE OFF

BEGIN
   adm.systrackscriptId (
      '$Id$',
      1);
END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile